Retrieve PM Project Partners By Code

Prev Next
Get
/pm-rest-api/rest/1/pmprojpartner

Query Standards

Finder

Following row finders are available for data filtering and optimizing request performance.

  • Pm Project Partner Finder
  • By UUID

Pm Project Partner Finder

Recommended finder parameters. Refer to Query Parameters for example.

Parameter Description Sample
PartnTypeCode Partner Type Code P
CompCode Company Code 001
PartnCode Partner Code VFDEV
ProjCode Project Code 14001

By UUID

This is an optional finder for querying a specific Project Partner by row ID.

Parameter Description Sample
/VUUID The VUuid attribute is the Unique row ID /pm-rest-api/rest/1/pmprojpartner/D6FD2068CF2D2C91E05316821FACE1FD
Security
HTTP
Type basic

Basic authentication

Query parameters
finder
string
ExamplePmProjPartnerFinder;PartnTypeCode=P ,CompCode=001, PartnCode=VFDEV, ProjCode=2019
limit
integer
Example500
offset
integer
Example0
totalResults
boolean
Exampletrue
orderBy
string
ExamplePmppVUuid:desc
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourcecollection+json
{
  "items": [
    {
      "PmppCompCode": "001",
      "PmppProjCode": "2019",
      "PmppPartnCode": "VFDEV",
      "PmppPartnTypeCode": "P",
      "PmppAbbrevPartnCode": "VFDEV",
      "PmppPartnName": "Veriwolf",
      "PmppAdd1": null,
      "PmppAdd2": null,
      "PmppAdd3": null,
      "PmppRegionCode": "AL",
      "PmppRegionName": "Alabama",
      "PmppCountry": null,
      "PmppPostalCode": null,
      "PmppDirGroupCode": null,
      "PmppDirGroupName": null,
      "PmppSortOrder": null,
      "PmppClvValueCode1": null,
      "PmppClvValueCode2": null,
      "PmppClvValueCode3": null,
      "PmppClvValueCode4": null,
      "PmppClvValueCode5": null,
      "PmppClvValueCode6": null,
      "PmppVUuid": "D6FD2068CF2D2C91E05316821FACE1FD",
      "PmppAddCode": null,
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmprojpartner/D6FD2068CF2D2C91E05316821FACE1FD",
          "name": "pmprojpartner",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmprojpartner/D6FD2068CF2D2C91E05316821FACE1FD",
          "name": "pmprojpartner",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmprojpartner",
      "name": "pmprojpartner",
      "kind": "collection"
    }
  ]
}
object
Copyright © 2024 CMiC All Rights Reserved